#70 DHCP Error with 2001-11-24 ver

closed-duplicate
8139too (65)
5
2015-01-27
2001-11-25
Anonymous
No

Also tried with some older kernels 2.2.20 2.4.3,8,11,14
did also not work.

This is with kernel 2.4.16-pre1 with the die = 0 patch
from 2.5.1-pre1

Also it works prefect with static ipaddress but not DHCP.

Also tried another 8139C from another vendor.
It also works from another PC with same software and
diffrent network card.

I hope someone can use this.

--
TIA Johan Thelmén

==> messages <==
Nov 25 18:22:49 kusa kernel: 8139too Fast Ethernet
driver 0.9.22
Nov 25 18:22:49 kusa kernel: PCI: Found IRQ 9 for
device 00:0e.0
Nov 25 18:22:49 kusa kernel: eth0: RealTek RTL8139 Fast
Ethernet at 0xc882d000, 00:10:a7:0c:59:a5, IRQ 9

==> syslog <==
Nov 25 18:22:49 kusa kernel: 8139too Fast Ethernet
driver 0.9.22
Nov 25 18:22:49 kusa kernel: PCI: Found IRQ 9 for
device 00:0e.0
Nov 25 18:22:49 kusa kernel: rtl8139_init_board: PIO
region size == 0x100
Nov 25 18:22:49 kusa kernel: rtl8139_init_board: MMIO
region size == 0x100
Nov 25 18:22:49 kusa kernel: rtl8139_init_board:
chipset id (116) == index 5, 'RTL-8139C'
Nov 25 18:22:49 kusa kernel: rtl8139_init_board: PCI PM
wakeup
Nov 25 18:22:49 kusa kernel: rtl8139_init_one: about to
register device named eth%%d (c7d8d400)...
Nov 25 18:22:49 kusa kernel: eth0: RealTek RTL8139 Fast
Ethernet at 0xc882d000, 00:10:a7:0c:59:a5, IRQ 9
Nov 25 18:22:49 kusa kernel: eth0: Identified 8139
chip type 'RTL-8139C'

==> messages <==
Nov 25 18:23:27 kusa kernel: eth0: Setting half-duplex
based on auto-negotiated partner ability 0000.

==> syslog <==
Nov 25 18:23:27 kusa pumpd[3375]: starting at (uptime 0
days, 0:29:55) Sun Nov 25 18:23:27 2001
Nov 25 18:23:27 kusa kernel: eth0: Setting half-duplex
based on auto-negotiated partner ability 0000.
Nov 25 18:23:27 kusa kernel: rtl8139_hw_start: init
buffer addresses
Nov 25 18:23:27 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1002) done -- Rx config 0000f78a.
Nov 25 18:23:27 kusa kernel: rtl8139_open: eth0:
rtl8139_open() ioaddr 0xf4021000 IRQ 9 GP Pins 08
half-duplex.
Nov 25 18:23:27 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1003) done -- Rx config 0000f78a.
Nov 25 18:23:27 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1003) done -- Rx config 0000f78a.
Nov 25 18:23:27 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1003) done -- Rx config 0000f78e.
Nov 25 18:23:27 kusa pumpd[3375]: PUMP: sending discover
Nov 25 18:23:27 kusa pumpd[3375]: breq: opcode: 1
Nov 25 18:23:27 kusa pumpd[3375]: breq: hw: 1
Nov 25 18:23:27 kusa pumpd[3375]: breq: hwlength: 6
Nov 25 18:23:27 kusa pumpd[3375]: breq: hopcount: 0
Nov 25 18:23:27 kusa pumpd[3375]: breq: xid: 0x0c58b25a
Nov 25 18:23:27 kusa pumpd[3375]: breq: secs: 0
Nov 25 18:23:27 kusa pumpd[3375]: breq: flags: 0x0000
Nov 25 18:23:27 kusa pumpd[3375]: breq: ciaddr: 0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: breq: yiaddr: 0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: breq: server_ip: 0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: breq: bootp_gw_ip:
0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: breq: hwaddr:
Nov 25 18:23:27 kusa pumpd[3375]: breq: servername:
Nov 25 18:23:27 kusa pumpd[3375]: breq: bootfile:
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 0x63
0x53 0x82 0x63
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 53 1
0x01
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 0xff
Nov 25 18:23:27 kusa kernel: rtl8139_start_xmit: eth0:
Queued Tx packet at c77c7402 size 342 to slot 0.
Nov 25 18:23:27 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0004 ackstat=0x0004 new intstat=0x0000.
Nov 25 18:23:27 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.
Nov 25 18:23:27 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0000 ackstat=0x0001 new intstat=0x0001.
Nov 25 18:23:27 kusa kernel: rtl8139_rx_interrupt:
eth0: In rtl8139_rx(), current 0000 BufAddr 0160, free
to fff0, Cmd 0c.
Nov 25 18:23:27 kusa kernel: rtl8139_rx_interrupt:
eth0: rtl8139_rx() status 15c4001, size 015c, cur 0000.
Nov 25 18:23:27 kusa kernel: rtl8139_rx_interrupt:
eth0: Done rtl8139_rx(), current 0160 BufAddr 0160,
free to 0150, Cmd 0d.
Nov 25 18:23:27 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.
Nov 25 18:23:27 kusa pumpd[3375]: bresp: opcode: 2
Nov 25 18:23:27 kusa pumpd[3375]: bresp: hw: 1
Nov 25 18:23:27 kusa pumpd[3375]: bresp: hwlength: 6
Nov 25 18:23:27 kusa pumpd[3375]: bresp: hopcount: 0
Nov 25 18:23:27 kusa pumpd[3375]: bresp: xid: 0x0c58b25a
Nov 25 18:23:27 kusa pumpd[3375]: bresp: secs: 0
Nov 25 18:23:27 kusa pumpd[3375]: bresp: flags: 0x0000
Nov 25 18:23:27 kusa pumpd[3375]: bresp: ciaddr: 0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: bresp: yiaddr:
123.34.53.52
Nov 25 18:23:27 kusa pumpd[3375]: bresp: server_ip:
10.0.112.1
Nov 25 18:23:27 kusa pumpd[3375]: bresp: bootp_gw_ip:
123.36.13.1
Nov 25 18:23:27 kusa pumpd[3375]: bresp: hwaddr:
Nov 25 18:23:27 kusa pumpd[3375]: bresp: servername:
Nov 25 18:23:27 kusa pumpd[3375]: bresp: bootfile:
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 0x63
0x53 0x82 0x63
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 53
1 0x02
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 54
4 0x0a 0x00 0x70 0x0
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 51
4 0x00 0x00 0x04 0xb
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 1
4 0xff 0xff 0xff 0x0
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 3
4 0xd5 0x40 0x35 0x0
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 6
8 0x0a 0x00 0x00 0x0
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: ++++++
0x0a 0x00 0x00 0x02
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 2
4 0x00 0x00 0x0e 0x1
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 58
4 0x00 0x00 0x02 0x5
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 59
4 0x00 0x00 0x04 0x1
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 28
4 0xd5 0x40 0x35 0xf
Nov 25 18:23:27 kusa pumpd[3375]: bresp: vendor: 0xff
Nov 25 18:23:27 kusa pumpd[3375]: got dhcp offer
Nov 25 18:23:27 kusa pumpd[3375]: PUMP: sending second
discover
Nov 25 18:23:27 kusa pumpd[3375]: breq: opcode: 1
Nov 25 18:23:27 kusa pumpd[3375]: breq: hw: 1
Nov 25 18:23:27 kusa pumpd[3375]: breq: hwlength: 6
Nov 25 18:23:27 kusa pumpd[3375]: breq: hopcount: 0
Nov 25 18:23:27 kusa pumpd[3375]: breq: xid: 0x0c58b25b
Nov 25 18:23:27 kusa pumpd[3375]: breq: secs: 0
Nov 25 18:23:27 kusa pumpd[3375]: breq: flags: 0x0000
Nov 25 18:23:27 kusa pumpd[3375]: breq: ciaddr: 0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: breq: yiaddr: 0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: breq: server_ip: 0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: breq: bootp_gw_ip:
0.0.0.0
Nov 25 18:23:27 kusa pumpd[3375]: breq: hwaddr:
Nov 25 18:23:27 kusa pumpd[3375]: breq: servername:
Nov 25 18:23:27 kusa pumpd[3375]: breq: bootfile:
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 0x63
0x53 0x82 0x63
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 53 1
0x01
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 57 2
0x02 0x24
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 55 11
0x01 0x03 0x06 0x0
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: ++++++
0x1c 0x0c 0x07 0x09
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: ++++++
0x2a 0x30 0x31
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 12 5
0x6b 0x75 0x73 0x6
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: ++++++ 0x00
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 51 4
0x00 0x00 0xa8 0xc
Nov 25 18:23:27 kusa pumpd[3375]: breq: vendor: 0xff
Nov 25 18:23:27 kusa kernel: rtl8139_start_xmit: eth0:
Queued Tx packet at c1f05802 size 590 to slot 1.
Nov 25 18:23:28 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0004 ackstat=0x0004 new intstat=0x0000.
Nov 25 18:23:28 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.
Nov 25 18:23:30 kusa kernel: rtl8139_thread_iter: eth0:
Media selection tick, Link partner 0000.
Nov 25 18:23:30 kusa kernel: rtl8139_thread_iter: eth0:
Other registers are IntMask c07f IntStatus 0000
Nov 25 18:23:30 kusa kernel: rtl8139_thread_iter: eth0:
Chip config 10 4d.
Nov 25 18:23:31 kusa kernel: rtl8139_start_xmit: eth0:
Queued Tx packet at c1f05802 size 590 to slot 2.
Nov 25 18:23:31 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0004 ackstat=0x0004 new intstat=0x0000.
Nov 25 18:23:31 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.
Nov 25 18:23:37 kusa kernel: rtl8139_start_xmit: eth0:
Queued Tx packet at c1f05802 size 590 to slot 3.
Nov 25 18:23:37 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0004 ackstat=0x0004 new intstat=0x0000.
Nov 25 18:23:37 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.
Nov 25 18:23:49 kusa kernel: rtl8139_start_xmit: eth0:
Queued Tx packet at c1f05802 size 590 to slot 0.
Nov 25 18:23:49 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0004 ackstat=0x0004 new intstat=0x0000.
Nov 25 18:23:49 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.

==> messages <==
Nov 25 18:23:58 kusa kernel: eth0: Setting half-duplex
based on auto-negotiated partner ability 0000.

==> syslog <==
Nov 25 18:23:58 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1003) done -- Rx config 0000f78e.
Nov 25 18:23:58 kusa kernel: rtl8139_close: eth0:
Shutting down ethercard, status was 0x0000.
Nov 25 18:23:58 kusa kernel: eth0: Setting half-duplex
based on auto-negotiated partner ability 0000.
Nov 25 18:23:58 kusa kernel: rtl8139_hw_start: init
buffer addresses
Nov 25 18:23:58 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1002) done -- Rx config 0000f78a.
Nov 25 18:23:58 kusa kernel: rtl8139_open: eth0:
rtl8139_open() ioaddr 0xf4021000 IRQ 9 GP Pins 08
half-duplex.
Nov 25 18:23:58 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1003) done -- Rx config 0000f78a.
Nov 25 18:23:58 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1003) done -- Rx config 0000f78a.
Nov 25 18:23:58 kusa kernel: __set_rx_mode: eth0:
rtl8139_set_rx_mode(1003) done -- Rx config 0000f78e.
Nov 25 18:23:58 kusa pumpd[3375]: PUMP: sending discover
Nov 25 18:23:58 kusa pumpd[3375]: breq: opcode: 1
Nov 25 18:23:58 kusa pumpd[3375]: breq: hw: 1
Nov 25 18:23:58 kusa pumpd[3375]: breq: hwlength: 6
Nov 25 18:23:58 kusa pumpd[3375]: breq: hopcount: 0
Nov 25 18:23:58 kusa pumpd[3375]: breq: xid: 0x0c58b278
Nov 25 18:23:58 kusa pumpd[3375]: breq: secs: 0
Nov 25 18:23:58 kusa pumpd[3375]: breq: flags: 0x0000
Nov 25 18:23:58 kusa pumpd[3375]: breq: ciaddr: 0.0.0.0
Nov 25 18:23:58 kusa pumpd[3375]: breq: yiaddr: 0.0.0.0
Nov 25 18:23:58 kusa pumpd[3375]: breq: server_ip: 0.0.0.0
Nov 25 18:23:58 kusa pumpd[3375]: breq: bootp_gw_ip:
0.0.0.0
Nov 25 18:23:58 kusa pumpd[3375]: breq: hwaddr:
Nov 25 18:23:58 kusa pumpd[3375]: breq: servername:
Nov 25 18:23:58 kusa pumpd[3375]: breq: bootfile:
Nov 25 18:23:58 kusa pumpd[3375]: breq: vendor: 0x63
0x53 0x82 0x63
Nov 25 18:23:58 kusa pumpd[3375]: breq: vendor: 53 1
0x01
Nov 25 18:23:58 kusa pumpd[3375]: breq: vendor: 0xff
Nov 25 18:23:58 kusa kernel: rtl8139_start_xmit: eth0:
Queued Tx packet at c77c7402 size 342 to slot 0.
Nov 25 18:23:58 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0004 ackstat=0x0004 new intstat=0x0000.
Nov 25 18:23:58 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.
Nov 25 18:24:01 kusa kernel: rtl8139_start_xmit: eth0:
Queued Tx packet at c77c7402 size 342 to slot 1.
Nov 25 18:24:01 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0004 ackstat=0x0004 new intstat=0x0000.
Nov 25 18:24:01 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.
Nov 25 18:24:07 kusa kernel: rtl8139_start_xmit: eth0:
Queued Tx packet at c77c7402 size 342 to slot 2.
Nov 25 18:24:07 kusa kernel: rtl8139_interrupt: eth0:
interrupt status=0x0004 ackstat=0x0004 new intstat=0x0000.
Nov 25 18:24:07 kusa kernel: rtl8139_interrupt: eth0:
exiting interrupt, intr_status=0x0000.

kusa:/var/log# lspci -vv
00:00.0 Host bridge: Intel Corp. 440BX/ZX - 82443BX/ZX
Host bridge (rev 03)
Control: I/O- Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
Latency: 64
Region 0: Memory at f8000000 (32-bit,
prefetchable) [size=64M]
Capabilities: [a0] AGP version 1.0
Status: RQ=31 SBA+ 64bit- FW- Rate=x1,x2
Command: RQ=0 SBA- AGP- 64bit- FW-
Rate=<none>

00:01.0 PCI bridge: Intel Corp. 440BX/ZX - 82443BX/ZX
AGP bridge (rev 03) (prog-if 00 [Normal decode])
Control: I/O+ Mem+ BusMaster+ SpecCycle+
MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap- 66Mhz+ UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 128
Bus: primary=00, secondary=01, subordinate=01,
sec-latency=64
Memory behind bridge: f5000000-f5ffffff
Prefetchable memory behind bridge:
fc000000-fcffffff
BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort-
>Reset- FastB2B+

00:07.0 ISA bridge: Intel Corp. 82371AB PIIX4 ISA (rev 02)
Control: I/O+ Mem+ BusMaster+ SpecCycle+
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 0

00:07.1 IDE interface: Intel Corp. 82371AB PIIX4 IDE
(rev 01) (prog-if 80 [Master])
Control: I/O+ Mem- BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64
Region 4: I/O ports at 1420 [size=16]

00:07.2 USB Controller: Intel Corp. 82371AB PIIX4 USB
(rev 01) (prog-if 00 [UHCI])
Control: I/O+ Mem- BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64
Interrupt: pin D routed to IRQ 11
Region 4: I/O ports at 1400 [size=32]

00:07.3 Bridge: Intel Corp. 82371AB PIIX4 ACPI (rev 02)
Control: I/O+ Mem+ BusMaster- SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Interrupt: pin ? routed to IRQ 9

00:0d.0 Multimedia video controller: Zoran Corporation
ZR36120 (rev 03)
Subsystem: quadrant international Cinemaster C
DVD Decoder
Control: I/O- Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64 (500ns min, 4000ns max)
Interrupt: pin A routed to IRQ 11
Region 0: Memory at f4020000 (32-bit,
non-prefetchable) [size=4K]

00:0e.0 Ethernet controller: Realtek Semiconductor Co.,
Ltd. RTL-8139 (rev 10)
Subsystem: Unex Technology Corp. ND010
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 9
Region 0: I/O ports at 1000 [size=256]
Region 1: Memory at f4021000 (32-bit,
non-prefetchable) [size=256]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+
AuxCurrent=0mA PME(D0-,D1+,D2+,D3hot+,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:10.0 Multimedia audio controller: Aureal
Semiconductor Vortex 1 (rev 02)
Subsystem: Voyetra Technologies Montego
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64 (500ns min, 3000ns max), cache line
size 08
Interrupt: pin A routed to IRQ 11
Region 0: Memory at f4000000 (32-bit,
non-prefetchable) [size=128K]
Region 1: I/O ports at 1438 [size=8]
Region 2: I/O ports at 1430 [size=8]
Capabilities: [dc] Power Management version 1
Flags: PMEClk- DSI+ D1- D2+
AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:00.0 VGA compatible controller: NVidia / SGS Thomson
(Joint Venture) Riva128 (rev 21) (prog-if 00 [VGA])
Subsystem: STB Systems Inc STB Velocity 128 AGP
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64 (750ns min, 250ns max)
Interrupt: pin A routed to IRQ 11
Region 0: Memory at f5000000 (32-bit,
non-prefetchable) [size=16M]
Region 1: Memory at fc000000 (32-bit,
prefetchable) [size=16M]
Expansion ROM at <unassigned> [disabled] [size=4M]
Capabilities: [44] AGP version 1.0
Status: RQ=4 SBA- 64bit- FW- Rate=x1,x2
Command: RQ=0 SBA- AGP- 64bit- FW-
Rate=<none>

kusa:/usr/src/8139too-0.9.21# ./rtl-diag -mmaaavvveef
rtl8139-diag.c:v2.01 1/8/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a RealTek RTL8139 adapter at 0x1000.
RealTek chip registers at 0x1000
0x000: 0ca71000 0000a559 80000000 00000000 00002000
00002000 00002000 00002000
0x020: 01382000 01382600 01382c00 01383200 01d70000
01000000 0000fff0 00000000
0x040: 74000000 00000000 86762b00 00000000 004d10c0
00000000 0088c108 00100000
0x060: 1000000f 01e1782d 00000000 00000000 00000005
000f77c0 b0f243b9 7a36d743.
No interrupt sources are pending.
The chip configuration is 0x10 0x4d, MII full-duplex mode.
EEPROM size test returned 6, 0x204a4 / 0.
Parsing the EEPROM of a RealTek chip:
PCI IDs -- Vendor 0x10ec, Device 0x8139, Subsystem
0x1429.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xe1 value 0x12.
Station Address 00:10:A7:0C:59:A5.
Configuration register 0/1 -- 0x4d / 0xc2.
EEPROM active region checksum is 08a7.
EEPROM contents:
8129 10ec 8139 1429 d010 4020 e112 1000
0ca7 a559 4d10 f7c2 8801 43b9 b0f2 031a
df43 8a36 df43 8a36 43b9 b0f2 1111 1111
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
The word-wide EEPROM checksum is 0x8910.

Discussion

  • Jeff Garzik

    Jeff Garzik - 2001-11-26
    • assigned_to: nobody --> jgarzik
     
  • Jeff Garzik

    Jeff Garzik - 2001-11-26
    • status: open --> closed-duplicate
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks